services:
  _defaults:
    autowire: true
    autoconfigure: true

  XCart\API\EventSubscriber\Storefront\ProfileDetectionEventSubscriber:
    class: XCart\API\EventSubscriber\Storefront\ProfileDetectionEventSubscriber
    arguments:
      $profileRepository: '@xcart.repository.profile.read'
